post
https://example.com/deduct-reversal
Reverse a deduction that was previously requested on a wallet.
KLV will not be sent for reversals.
REQUEST
PATH PARAMETERS
| Parameter | Type & Constraints | Description |
|---|---|---|
terminalID | string 10 characters, required | Our partner issued terminal ID of the terminal requesting the transaction |
reference | string 1-255 characters, required | The reference of the wallet to reverse a previous deduct |
requestAmount | integer required | The amount of the original deduct to be reversed |
narrative | string 1-255 characters, required | A description of the terminal where the card was used |
transactionData | string 0-2048 characters, required | Extra information about the transaction in a KLV Format |
referenceID | string 1-255 characters, required | Transaction ID of the original deduct to be reversed |
referenceDate | date required | Transaction date (in UTC) of the original deduct to be reversed |
transactionID | string 1-255 characters, required | Transaction ID to identify the reversal message. Note that the Transaction ID is not a unique value and may be duplicated over time |
transactionDate | date required | Transaction date (in UTC) to identify the reversal message |
checksum | string required | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?> <methodCall> <methodName>DeductReversal</methodName> <params> <param><value><string>0034048207</string></value></param> <param><value><string>68263116</string></value></param> <param><value><int>559</int></value></param> <param><value><string>PAYPAL 4029357733 SGP</string></value></param> <param><value><string></string></value></param> <param><value><string>571156</string></value></param> <param><value><dateTime.iso8601>20200824T01:52:15</dateTime.iso8601></value></param> <param><value><string>2010206</string></value></param> <param><value><dateTime.iso8601>20200824T03:52:22</dateTime.iso8601></value></param> <param><value><string>D86B50F9FB658F5AB00A280BF52A40DAD7A3B89919D98ADABBC93FD42D5AF9E8</string></value></param> </params> </methodCall>
RESPONSE
STATUS
200 OK
SCHEMA
| Field | Type | Description |
|---|---|---|
resultCode | integer | Status code indicating transaction result |
<methodResponse> <params> <param> <value> <struct> <member> <name>resultCode</name> <value><int>1</int></value> </member> </struct> </value> </param> </params> </methodResponse>
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200Successful reversal
400Invalid request parameters
404Original transaction not found